> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Shield information barrier segments resources

Shield information barrier segment represents a defined group of users. A user can be a member of only one segment, which makes segments different from groups.

## List of Shield Information Barrier Segments

List of Shield Information Barrier Segment objects.

<Accordion title="Attributes and example">
  | Property      | Type                                                                               | Required | Description                                                                                                                                                                            |
  | ------------- | ---------------------------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `limit`       | `integer`                                                                          | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API. |
  | `next_marker` | `string`                                                                           | No       | The marker for the start of the next page of results. Can be `null`.                                                                                                                   |
  | `entries`     | array of [Shield information barrier segment](#shield-information-barrier-segment) | No       | A list of shield information barrier segments.                                                                                                                                         |

  ```json Example theme={null}
  {
    "limit": 1000,
    "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
    "entries": [
      {
        "id": "11446498",
        "type": "shield_information_barrier_segment",
        "shield_information_barrier": {
          "id": "11446498",
          "type": "shield_information_barrier"
        },
        "name": "Investment Banking",
        "description": "'Corporate division that engages in advisory_based financial\n transactions on behalf of individuals, corporations, and governments.'",
        "created_at": "2020-06-26T18:44:45.869Z",
        "created_by": {
          "id": "11446498",
          "type": "user"
        },
        "updated_at": "2020-07-26T18:44:45.869Z",
        "updated_by": {
          "id": "11446498",
          "type": "user"
        }
      }
    ]
  }
  ```
</Accordion>

## Shield information barrier segment

A shield information barrier segment object.

<Accordion title="Attributes and example">
  | Property                     | Type                                                                                                                  | Required | Description                                                                                                  |
  | ---------------------------- | --------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------ |
  | `id`                         | `string`                                                                                                              | No       | The unique identifier for the shield information barrier segment.                                            |
  | `type`                       | `enum<string>`                                                                                                        | No       | The type of the shield information barrier segment. Available options: `shield_information_barrier_segment`. |
  | `shield_information_barrier` | [Shield information barrier (Base)](/reference/shield-information-barriers-resources#shield-information-barrier-base) | No       |                                                                                                              |
  | `name`                       | `string`                                                                                                              | No       | Name of the shield information barrier segment.                                                              |
  | `description`                | `string`                                                                                                              | No       | Description of the shield information barrier segment.                                                       |
  | `created_at`                 | `string`                                                                                                              | No       | ISO date time string when this shield information barrier object was created.                                |
  | `created_by`                 | [User (Base)](/reference/users-resources#user-base)                                                                   | No       | The user who created this shield information barrier segment.                                                |
  | `updated_at`                 | `string`                                                                                                              | No       | ISO date time string when this shield information barrier segment was updated.                               |
  | `updated_by`                 | [User (Base)](/reference/users-resources#user-base)                                                                   | No       | The user that updated this shield information barrier segment.                                               |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "shield_information_barrier_segment",
    "shield_information_barrier": {
      "id": "11446498",
      "type": "shield_information_barrier"
    },
    "name": "Investment Banking",
    "description": "'Corporate division that engages in advisory_based financial\n transactions on behalf of individuals, corporations, and governments.'",
    "created_at": "2020-06-26T18:44:45.869Z",
    "created_by": {
      "id": "11446498",
      "type": "user"
    },
    "updated_at": "2020-07-26T18:44:45.869Z",
    "updated_by": {
      "id": "11446498",
      "type": "user"
    }
  }
  ```
</Accordion>
